<section style="height: 100%">
  <div class="body-requestCredit">
    <div class="container">
      <mat-card class="col-lg-11 col-md-10 col-xs-12 col-sm-12  col-xl-11 mat-elevation-z4"
        style="background-color: white; margin-top: 10%; margin-bottom: 5%; margin: 8% auto;">
        <div class="row justify-content-center align-items-center">
          <h3 class="col-lg-12 col-md-12 col-xs-12 col-xl-12 col-sm-12" style="text-align: center">
            {{'requestCredit.requestCredit' | translate}}
          </h3>
          <div class="text-center col-lg-2 col-md-2 col-sm-2 col-2">
            <div class="nav-item" ngbDropdown placement="bottom-center">
                <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                    <img src="{{getFlagURL()}}" alt="English" class="langimg">
                    <p class="d-none">Language</p>
                </a>
                <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                    <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                        <img src="assets/img/flags/us.png" alt="English" class="langimg">
                        <span>English</span>
                    </a>
                    <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                        <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                        <span>Espa&ntilde;ol</span>
                    </a>
                </div>
            </div>
        </div>
          <div class="col-lg-11 col-md-10 col-xs-12 col-xl-11 col-sm-12" style="margin-top: 3%">
            <mat-accordion>
              <mat-expansion-panel (opened)="creditInfoState = true" (closed)="creditInfoState = false">
                <mat-expansion-panel-header [style.background]=" creditInfoValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.infoCredit' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titleInfoCredit' | translate}}
                  </mat-panel-description>
                  <i *ngIf="creditInfoValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <form [formGroup]="creditInfo">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f1-associatedcode"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.associateCode' | translate}}
                        </label>
                        <div class="input-group">
                          <input formControlName="associatedCode" type="text" name="f1-associatedcode"
                            placeholder="{{'requestCredit.associateCode' | translate}}"
                            class="f1-associatedcode form-control" [(ngModel)]="associateCode">
                          <span matTooltip="{{'requestCredit.getInformation' | translate}}" class="input-group-text"
                            style="cursor: pointer;" (click)="fillForm()"> <i class="fa fa-tasks"></i></span>
                        </div>
                        <h6
                          *ngIf="!creditInfo.controls['associatedCode'].valid && creditInfo.controls['associatedCode'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f1-city"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.city' | translate}}</label>
                        <select formControlName="city" name="f1-city" id="f1-city" class="city form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                        </select>
                        <h6 *ngIf="!creditInfo.controls['city'].valid && creditInfo.controls['city'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label for="f1-requestdate"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.loanDate' | translate}}</label>
                        <div class="input-group">
                          <input class="form-control f1-requestdate" (click)="picker1.open()" matInput
                            [matDatepicker]="picker1" id="f1-requestdate" formControlName="requestDate"
                            placeholder="{{'requestCredit.loanDate' | translate}}">
                          <mat-datepicker-toggle matSuffix [for]="picker1">
                          </mat-datepicker-toggle>
                          <mat-datepicker touchUi #picker1></mat-datepicker>
                        </div>
                        <h6
                          *ngIf="!creditInfo.controls['requestDate'].valid && creditInfo.controls['requestDate'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span>
                        </h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f1-loanamountpesos"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.quantityPesos' | translate}}
                        </label>
                        <input formControlName="loanAmountPesos" type="text" name="f6-accountnumber" placeholder="Pesos"
                          class="f1-loanamountpesos form-control">
                        <h6
                          *ngIf="!creditInfo.controls['loanAmountPesos'].valid && creditInfo.controls['loanAmountPesos'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f1-loanamountdollar"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.quantityDollars' | translate}}
                        </label>
                        <input formControlName="loanAmountDollar" type="text" name="f1-loanamountdollar"
                          placeholder="{{'requestCredit.dollars' | translate}}"
                          class="f1-loanamountdollar form-control">
                        <h6
                          *ngIf="!creditInfo.controls['loanAmountDollar'].valid && creditInfo.controls['loanAmountDollar'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f1-loandestiny"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.loanDestination' | translate}}
                        </label>
                        <input formControlName="loanDestiny" type="text" name="f1-loandestiny"
                          placeholder="{{'requestCredit.loanDestination' | translate}}"
                          class="f1-loanDestiny form-control">
                        <h6
                          *ngIf="!creditInfo.controls['loanDestiny'].valid && creditInfo.controls['loanDestiny'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                  </div>
                </form>
              </mat-expansion-panel>
              <mat-expansion-panel (opened)="personalDataState = true" (closed)="personalDataState = false"
                style="padding-top: 0.5%">
                <mat-expansion-panel-header [style.background]=" personalDataValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.personalInformation' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titlePersonalInformation' | translate}}
                  </mat-panel-description>
                  <i *ngIf="personalDataValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <form [formGroup]="personalData">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-name"><span style="color:red;font-weight: bold;">*</span>
                          {{'userRegister.aboutYou.fName' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="name" type="text" name="f2-name"
                          placeholder="{{'userRegister.aboutYou.fName' | translate}}" class="f2-name form-control"
                          [(ngModel)]="informationCurrentUser['person'].name">
                        <input *ngIf="!informationCurrentUser" formControlName="name" type="text" name="f2-name"
                          placeholder="Nombre" class="f2-name form-control">
                        <h6 *ngIf="!personalData.controls['name'].valid && personalData.controls['name'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-lastname"><span style="color:red;font-weight: bold;">*</span>
                          {{'userRegister.aboutYou.lName' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="lastName" type="text" name="f2-lastname"
                          placeholder="{{'userRegister.aboutYou.lName' | translate}}" class="f2-lastname form-control"
                          [(ngModel)]="informationCurrentUser['person'].lastname">
                        <input *ngIf="!informationCurrentUser" formControlName="lastName" type="text" name="f2-lastname"
                          placeholder="Apellido" class="f2-lastname form-control">
                        <h6
                          *ngIf="!personalData.controls['lastName'].valid && personalData.controls['lastName'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-document-type">{{'requestCredit.documentType' | translate}}</label>
                        <select *ngIf="informationCurrentUser" formControlName="typeDoc" id="f2-document-type"
                          name="f2-document-type" class="state form-control"
                          [(ngModel)]="informationCurrentUser['person'].documentType">
                          <option value="CC">C.C.</option>
                          <option value="DNI">C.E</option>
                          <option value="PASAPORTE">{{'requestCredit.passport' | translate}}</option>
                        </select>
                        <select *ngIf="!informationCurrentUser" formControlName="typeDoc" id="f2-document-type"
                          name="f2-document-type" class="state form-control">
                          <option value="CC">C.C.</option>
                          <option value="DNI">C.E</option>
                          <option value="PASAPORTE">{{'requestCredit.passport' | translate}}</option>
                        </select>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <mat-radio-group formControlName="genre" aria-label="Sexo">
                          <div>
                            <span style="color:red;font-weight: bold;">*</span><label class="" for="f2-genre">
                              {{'userRegister.aboutYou.genre' | translate}}
                            </label></div>
                          <div style="margin-top: 2%">
                            <mat-radio-button value="Masculino">{{'requestCredit.men' | translate}}</mat-radio-button>
                            <mat-radio-button value="Femenino">{{'requestCredit.woman' | translate}}</mat-radio-button>
                          </div>
                          <h6 *ngIf="!personalData.controls['genre'].valid && personalData.controls['genre'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-document"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.document' | translate}}</label>
                        <input *ngIf="informationCurrentUser" formControlName="document" type="text" name="f2-document"
                          placeholder="{{'requestCredit.doecument' | translate}}" class="f2-document form-control"
                          id="f2-document" [(ngModel)]="informationCurrentUser['person'].document">
                        <input *ngIf="!informationCurrentUser" formControlName="document" type="text" name="f2-document"
                          placeholder="Documento" class="f2-document form-control" id="f2-document">
                        <h6
                          *ngIf="!personalData.controls['document'].valid && personalData.controls['document'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label for="f2-expeditionDate"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.expeditionDate' | translate}}</label>
                        <div class="input-group">
                          <input class="form-control f2-expeditionDate" (click)="picker2.open()" matInput
                            [matDatepicker]="picker2" id="f2-expeditionDate" formControlName="expeditionDate"
                            placeholder="{{'requestCredit.expeditionDate' | translate}}">
                          <mat-datepicker-toggle matSuffix [for]="picker2">
                          </mat-datepicker-toggle>
                          <mat-datepicker touchUi #picker2></mat-datepicker>
                        </div>
                        <h6
                          *ngIf="!personalData.controls['expeditionDate'].valid && personalData.controls['expeditionDate'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span>
                        </h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-expeditionplace"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.expeditionPlace' | translate}}
                        </label>
                        <input formControlName="expeditionPlace" type="text" name="f2-expeditionplace"
                          placeholder="{{'requestCredit.expeditionPlace' | translate}}"
                          class="f2-expeditionplace form-control" id="f2-expeditionplace">
                        <h6
                          *ngIf="!personalData.controls['expeditionPlace'].valid && personalData.controls['expeditionPlace'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label for="f2-borndate"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.birthday' | translate}}
                        </label>
                        <div class="input-group">
                          <input class="form-control f2-borndate" (click)="picker3.open()" matInput
                            [matDatepicker]="picker3" id="f2-borndate" formControlName="bornDate"
                            placeholder="{{'requestCredit.birthday' | translate}}">
                          <mat-datepicker-toggle matSuffix [for]="picker3">
                          </mat-datepicker-toggle>
                          <mat-datepicker touchUi #picker3></mat-datepicker>
                        </div>
                        <h6
                          *ngIf="!personalData.controls['bornDate'].valid && personalData.controls['bornDate'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span>
                        </h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-borncountry"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.countryBorn' | translate}}
                        </label>
                        <select *ngIf="informationCurrentUser" formControlName="bornCountry" name="f2-borncountry"
                          id="f2-borncountry" class="country form-control f2-borncountry"
                          [(ngModel)]="informationCurrentUser['person'].country">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <select *ngIf="!informationCurrentUser" formControlName="bornCountry" name="f2-borncountry"
                          id="f2-borncountry" class="country form-control f2-borncountry">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['bornCountry'].valid && personalData.controls['bornCountry'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-borndepartment"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.stateBorn' | translate}}
                        </label>
                        <select *ngIf="informationCurrentUser" formControlName="bornDepartment" name="f2-borndepartment"
                          id="f2-borndepartment" class="department form-control f2-borndepartment"
                          [(ngModel)]="informationCurrentUser['person'].country">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <select *ngIf="!informationCurrentUser" formControlName="bornDepartment"
                          name="f2-borndepartment" id="f2-borndepartment"
                          class="department form-control f2-borndepartment">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['bornDepartment'].valid && personalData.controls['bornDepartment'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-bornmunicipality"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.cityBorn' | translate}}
                        </label>
                        <select *ngIf="informationCurrentUser" formControlName="bornMunicipality"
                          name="f2-bornmunicipality" id="f2-bornmunicipality"
                          class="country form-control f2-bornmunicipality"
                          [(ngModel)]="informationCurrentUser['person'].country">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <select *ngIf="!informationCurrentUser" formControlName="bornMunicipality"
                          name="f2-bornmunicipality" id="f2-bornmunicipality"
                          class="country form-control f2-bornmunicipality">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['bornMunicipality'].valid && personalData.controls['bornMunicipality'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-civilstatus">
                          {{'userRegister.aboutYou.civilStatus' | translate}}</label>
                        <select *ngIf="informationCurrentUser" id="f2-civilstatus" name="f2-civilstatus"
                          formControlName="civilStatus" class="f2-civilstatus form-control"
                          [(ngModel)]="informationCurrentUser['person'].civilStatus">
                          <option value="Soltero">{{'requestCredit.single' | translate}}</option>
                          <option value="Casado">{{'requestCredit.married' | translate}}</option>
                          <option value="Divorciado">{{'requestCredit.divorced' | translate}}</option>
                          <option value="Viudo">{{'requestCredit.widower' | translate}}</option>
                        </select>
                        <select *ngIf="!informationCurrentUser" id="f2-civilstatus" name="f2-civilstatus"
                          formControlName="civilStatus" class="f2-civilstatus form-control">
                          <option value="Soltero">{{'requestCredit.single' | translate}}</option>
                          <option value="Casado">{{'requestCredit.married' | translate}}</option>
                          <option value="Divorciado">{{'requestCredit.divorced' | translate}}</option>
                          <option value="Viudo">{{'requestCredit.widower' | translate}}</option>
                        </select>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-2 col-xl-2">
                        <label class="" for="f2-childrennumber"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.numberSons' | translate}}
                        </label>
                        <input formControlName="childrenNumber" type="text" name="f2-childrennumber"
                          placeholder="{{'requestCredit.numberSons' | translate}}"
                          class="f2-childrennumber form-control" id="f2-childrennumber">
                        <h6
                          *ngIf="!personalData.controls['childrenNumber'].valid && personalData.controls['childrenNumber'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f2-address"><span
                            style="color:red;font-weight: bold;">*</span>{{'requestCredit.address' | translate}}</label>
                        <input *ngIf="informationCurrentUser" formControlName="address" type="text" name="f2-address"
                          placeholder="{{'requestCredit.address' | translate}}" class="f2-address form-control"
                          id="f2-address" [(ngModel)]="informationCurrentUser['person'].residenceAddress">
                        <input *ngIf="!informationCurrentUser" formControlName="address" type="text" name="f2-address"
                          placeholder="{{'requestCredit.address' | translate}}" class="f2-address form-control"
                          id="f2-address">
                        <h6 *ngIf="!personalData.controls['address'].valid && personalData.controls['address'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-domicilecountry"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.countryDomicile' | translate}}
                        </label>
                        <select formControlName="domicileCountry" name="f2-domicilecountry" id="f2-domicilecountry"
                          class="country form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['domicileCountry'].valid && personalData.controls['domicileCountry'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-domiciledepartment"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.stateDomicile' | translate}}
                        </label>
                        <select formControlName="domicileDepartment" name="f2-domiciledepartment"
                          id="f2-domiciledepartment" class="department form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['domicileDepartment'].valid && personalData.controls['domicileDepartment'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-domicilemunicipality"><span
                            style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.cityDomicile' | translate}}
                        </label>
                        <select formControlName="domicileMunicipality" name="f2-domicilemunicipality"
                          id="f2-domicilemunicipality" class="municipality form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!personalData.controls['domicileMunicipality'].valid && personalData.controls['domicileMunicipality'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-email"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.email' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="email" type="email" name="f2-email"
                          placeholder="{{'requestCredit.email' | translate}}" class="f2-email form-control"
                          [(ngModel)]="informationCurrentUser['person'].email">
                        <input *ngIf="!informationCurrentUser" formControlName="email" type="email" name="f2-email"
                          placeholder="{{'requestCredit.email' | translate}}" class="f2-email form-control">
                        <h6 *ngIf="!personalData.controls['email'].valid && personalData.controls['email'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-phone"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.phone' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="phone" type="text" name="f2-phone"
                          placeholder="{{'requestCredit.phone' | translate}}" class="f2-phone form-control"
                          id="f2-phone" [(ngModel)]="informationCurrentUser['person'].phone ">
                        <input *ngIf="!informationCurrentUser" formControlName="phone" type="text" name="f2-phone"
                          placeholder="{{'requestCredit.phone' | translate}}" class="f2-phone form-control"
                          id="f2-phone">
                        <h6 *ngIf="!personalData.controls['phone'].valid && personalData.controls['phone'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <mat-radio-group formControlName="publicResources" name="f2-publicResources"
                          aria-label="publicResources">
                          <div>
                            <span style="color:red;font-weight: bold;">*</span><label class=""
                              for="f2-publicresources">¿{{'requestCredit.publicResources' | translate}}? </label></div>
                          <div style="margin-top: 2%">
                            <mat-radio-button value="Si">{{'requestCredit.yes' | translate}}</mat-radio-button>
                            <mat-radio-button value="No">{{'requestCredit.no' | translate}}</mat-radio-button>
                          </div>
                          <h6
                            *ngIf="!personalData.controls['publicResources'].valid && personalData.controls['publicResources'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </mat-radio-group>
                      </div>
                    </div>
                  </div>
                </form>
              </mat-expansion-panel>
              <mat-expansion-panel (opened)="laboralDataState = true" (closed)="laboralDataState = false"
                style="padding-top: 0.5%">
                <mat-expansion-panel-header [style.background]=" laboralDataValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.laboralData' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titleLaboralData' | translate}}.
                  </mat-panel-description>
                  <i *ngIf="laboralDataValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <form [formGroup]="laboralData">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f3-employeeType"> <span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.employeeType' | translate}}
                        </label>
                        <select *ngIf="informationCurrentUser" id="f3-employeeType" formControlName="employeeType"
                          name="f3-employeeType" class="state form-control"
                          [(ngModel)]="informationCurrentUser['person'].ocupation">
                          <option value="Empleado">{{'requestCredit.employee' | translate}}</option>
                          <option value="Independiente">{{'requestCredit.independentWorker' | translate}}</option>
                          <option value="Público">{{'requestCredit.publicWorker' | translate}}</option>
                        </select>
                        <select *ngIf="!informationCurrentUser" id="f3-employeeType" formControlName="employeeType"
                          name="f3-employeeType" class="state form-control">
                          <option value="Empleado">{{'requestCredit.employee' | translate}}</option>
                          <option value="Independiente">{{'requestCredit.independentWorker' | translate}}</option>
                          <option value="Público">{{'requestCredit.publicWorker' | translate}}</option>
                        </select>
                        <h6
                          *ngIf="!laboralData.controls['employeeType'].valid && laboralData.controls['employeeType'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f3-characteristics"> <span
                            style="color:red;font-weight: bold;">*</span>{{'requestCredit.features' | translate}}</label>

                        <select *ngIf="laboralData.controls['employeeType'].value=='Empleado'" id="f3-characteristics"
                          formControlName="characteristics" name="f3-characteristics" class="state form-control">
                          <option value="Empleado">{{'requestCredit.indefiniteTerm' | translate}}</option>
                          <option value="Vigencia de 1 - 3 años">{{'requestCredit.validity' | translate}}</option>
                          <option value="Inferior a un año">{{'requestCredit.validity2' | translate}}</option>
                          <option value="Labor obra contratada">{{'requestCredit.validity3' | translate}}</option>
                        </select>

                        <select *ngIf="laboralData.controls['employeeType'].value=='Independiente'"
                          id="f3-characteristics" formControlName="characteristics" name="f3-characteristics"
                          class="state form-control">
                          <option value="Honorarios">{{'requestCredit.fee' | translate}}</option>
                          <option value="Servicios">{{'requestCredit.services' | translate}}</option>
                        </select>

                        <select *ngIf="laboralData.controls['employeeType'].value=='Público'" id="f3-characteristics"
                          formControlName="characteristics" name="f3-characteristics" class="state form-control">
                          <option value="Carrera">{{'requestCredit.career' | translate}}</option>
                          <option value="Provisionalidad">{{'requestCredit.provisionality' | translate}}</option>
                          <option value="Libre Nombramiento y Remoción">{{'requestCredit.freeAppointment' | translate}}
                          </option>
                          <option value="Contrato de Prestación de Servicio">
                            {{'requestCredit.serviceProvision' | translate}}</option>

                        </select>
                        <h6
                          *ngIf="!laboralData.controls['characteristics'].valid && laboralData.controls['characteristics'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f3-companyname"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.companyName' | translate}}
                        </label>
                        <input formControlName="companyName" type="text" name="f3-companyname"
                          placeholder="{{'requestCredit.companyName' | translate}}" class="f3-companyname form-control">
                        <h6
                          *ngIf="!laboralData.controls['companyName'].valid && laboralData.controls['companyName'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f3-address"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.address' | translate}}
                          </label>
                        <input formControlName="address" type="text" name="f3-address"
                          placeholder="{{'requestCredit.address' | translate}}" class="f3-address form-control"
                          id="f3-address">
                        <h6 *ngIf="!laboralData.controls['address'].valid && laboralData.controls['address'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f3-phone"><span
                            style="color:red;font-weight: bold;">*</span>{{'requestCredit.phone' | translate}}</label>
                        <input formControlName="phone" type="text" name="f3-phone"
                          placeholder="Telefono" class="f3-phone form-control" id="f3-phone">
                        <h6 *ngIf="!laboralData.controls['phone'].valid && laboralData.controls['phone'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label for="f3-borndate"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.birthday' | translate}}
                        </label>
                        <div class="input-group">
                          <input class="form-control f3-borndate" (click)="picker4.open()" matInput
                            [matDatepicker]="picker4" id="f3-borndate" formControlName="bornDate"
                            placeholder="{{'requestCredit.birthday' | translate}}">
                          <mat-datepicker-toggle matSuffix [for]="picker4">
                          </mat-datepicker-toggle>
                          <mat-datepicker touchUi #picker4></mat-datepicker>
                        </div>
                        <h6 *ngIf="!laboralData.controls['bornDate'].valid && laboralData.controls['bornDate'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span>
                        </h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="f3-position" for="f3-position"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.position' | translate}}
                        </label>
                        <input formControlName="position" type="text" name="f3-position"
                          placeholder="{{'requestCredit.position' | translate}}" class="f3-position form-control">
                        <h6 *ngIf="!laboralData.controls['position'].valid && laboralData.controls['position'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                    </div>

                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-2 col-xl-2">
                        <mat-radio-group formControlName="academic" name="f3-academic" aria-label="universitario">
                          <div>
                            <span style="color:red;font-weight: bold;">*</span><label class="f3-academic"
                              for="f3-academic">¿{{'requestCredit.university' | translate}}? </label></div>
                          <div style="margin-top: 2%">
                            <mat-radio-button value="Si">{{'requestCredit.yes' | translate}}</mat-radio-button>
                            <mat-radio-button value="No">{{'requestCredit.no' | translate}}</mat-radio-button>
                          </div>
                          <h6
                            *ngIf="!laboralData.controls['academic'].valid && laboralData.controls['academic'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </mat-radio-group>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="universityname"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.universityName' | translate}}
                        </label>
                        <input formControlName="universityName" type="text" name="f3-universityname"
                          placeholder="UniversityName" class="f3-universityName form-control">
                        <h6
                          *ngIf="!laboralData.controls['universityName'].valid && laboralData.controls['universityName'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <label class="" for="f3-careername"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.careerName' | translate}}
                        </label>
                        <input formControlName="careerName" type="text" name="f3-careername"
                          placeholder="{{'requestCredit.careerName' | translate}}" class="f3-careername form-control">
                        <h6
                          *ngIf="!laboralData.controls['careerName'].valid && laboralData.controls['careerName'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-2 col-xl-2">
                        <label class="" for="f3-semester"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.semester' | translate}}
                        </label>
                        <input formControlName="semester" type="text" name="f3-semester"
                          placeholder="{{'requestCredit.semester' | translate}}" class="f3-semester form-control">
                        <h6 *ngIf="!laboralData.controls['semester'].valid && laboralData.controls['semester'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                  </div>
                </form>
              </mat-expansion-panel>
              <mat-expansion-panel (opened)="incomeExpensesState = true" (closed)="incomeExpensesState = false"
                style="padding-top: 0.5%">
                <mat-expansion-panel-header [style.background]=" incomeExpensesValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.incomeExpenses' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titleIncomeExpenses' | translate}}
                  </mat-panel-description>
                  <i *ngIf="incomeExpensesValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <form [formGroup]="incomeExpenses">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f2-monthlyIncome"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.monthlyIncome' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="monthlyIncome" type="text"
                          name="f2-monthlyIncome" placeholder="Ingresos mensuales" class="f2-email form-control"
                          [(ngModel)]="informationCurrentUser['person'].monthlyIncome">
                        <input *ngIf="!informationCurrentUser" formControlName="monthlyIncome" type="text"
                          name="f2-monthlyIncome" placeholder="Ingresos mensuales" class="f2-email form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['monthlyIncome'].valid && incomeExpenses.controls['monthlyIncome'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f4-conceptmonthlyincome"><span
                            style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.concept' | translate}}
                        </label>
                        <input formControlName="conceptMonthlyIncome" type="text" name="f4-conceptmonthlyincome"
                          placeholder="{{'requestCredit.concept' | translate}}"
                          class="f4-conceptmonthlyincome form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['conceptMonthlyIncome'].valid && incomeExpenses.controls['conceptMonthlyIncome'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f4-monthlyexpenses"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.monthlyExpenses' | translate}}
                        </label>
                        <input *ngIf="informationCurrentUser" formControlName="monthlyExpenses" type="text"
                          name="f4-monthlyexpenses" placeholder="{{'requestCredit.monthlyExpenses' | translate}}"
                          class="f4-monthlyExpenses form-control"
                          [(ngModel)]="informationCurrentUser['person'].monthlyExpenses">
                        <input *ngIf="!informationCurrentUser" formControlName="monthlyExpenses" type="text"
                          name="f4-monthlyexpenses" placeholder="Egresos Fijos Mensuales"
                          class="f4-monthlyExpenses form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['monthlyExpenses'].valid && incomeExpenses.controls['monthlyExpenses'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                    </div>

                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f4-othersIncome"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.otherIncome' | translate}}
                        </label>
                        <input formControlName="othersIncome" type="text" name="f4-othersincome"
                          placeholder="{{'requestCredit.otherIncome' | translate}}"
                          class="f4-othersincome form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['othersIncome'].valid && incomeExpenses.controls['othersIncome'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f4-conceptothersincome"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.concept' | translate}}
                        </label>
                        <input formControlName="conceptOthersIncome" type="text" name="f4-conceptothersincome"
                          placeholder="Por Concepto de" class="f4-conceptothersincome form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['conceptOthersIncome'].valid && incomeExpenses.controls['conceptOthersIncome'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <label class="" for="f4-incometotal"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.totalIncome' | translate}}
                        </label>
                        <input formControlName="incomeTotal" type="text" name="f4-incometotal"
                          placeholder="{{'requestCredit.totalIncome' | translate}}" class="f4-incometotal form-control">
                        <h6
                          *ngIf="!incomeExpenses.controls['incomeTotal'].valid && incomeExpenses.controls['incomeTotal'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                  </div>
                </form>
              </mat-expansion-panel>
              <mat-expansion-panel (opened)="foreignOperationsState = true" (closed)="foreignOperationsState = false"
                style="padding-top: 0.5%">
                <mat-expansion-panel-header [style.background]=" foreignOperationsValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.moneyOperations' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titleForeignCurrency' | translate}}.
                  </mat-panel-description>
                  <i *ngIf="foreignOperationsValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <form [formGroup]="foreignOperations">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <mat-radio-group formControlName="foreignOperationsDesition"
                          aria-label="foreignOperationsDesition">
                          <div>
                            <span style="color:red;font-weight: bold;">*</span><label class=""
                              for="f6-foreignoperationsdesition">¿{{'requestCredit.moneyOperations' | translate}}?
                            </label></div>
                          <div style="margin-top: 2%">
                            <mat-radio-button value="Si">{{'requestCredit.yes' | translate}}</mat-radio-button>
                            <mat-radio-button value="No">{{'requestCredit.no' | translate}}</mat-radio-button>
                          </div>
                          <h6
                            *ngIf="!foreignOperations.controls['foreignOperationsDesition'].valid && foreignOperations.controls['foreignOperationsDesition'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </mat-radio-group>
                      </div>
                      <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8">
                        <label class="" for="f6-which"><span style="color:red;font-weight: bold;">*</span>
                          ¿{{'requestCredit.which' | translate}}?
                        </label>
                        <input formControlName="which" type="text" name="f2-email"
                          placeholder="¿{{'requestCredit.which' | translate}}?" class="f6-which form-control">
                        <h6
                          *ngIf="!foreignOperations.controls['which'].valid && foreignOperations.controls['which'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4">
                        <mat-radio-group formControlName="foreignAccounts" aria-label="foreignAccounts">
                          <div>
                            <span style="color:red;font-weight: bold;">*</span><label class=""
                              for="f6-foreignAccounts">¿{{'requestCredit.accountsCurrency' | translate}}? </label></div>
                          <div style="margin-top: 2%">
                            <mat-radio-button value="Si">{{'requestCredit.yes' | translate}}</mat-radio-button>
                            <mat-radio-button value="No">{{'requestCredit.no' | translate}}</mat-radio-button>
                          </div>
                          <h6
                            *ngIf="!foreignOperations.controls['foreignAccounts'].valid && foreignOperations.controls['foreignAccounts'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </mat-radio-group>
                      </div>
                      <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8">
                        <label class="" for="f6-countnumber"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.accountNumber' | translate}}
                        </label>
                        <input formControlName="accountNumber" type="text" name="f6-accountnumber"
                          placeholder="{{'requestCredit.accountNumber' | translate}}"
                          class="f6-accountnumber form-control">
                        <h6
                          *ngIf="!foreignOperations.controls['accountNumber'].valid && foreignOperations.controls['accountNumber'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f6-bank"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.bank' | translate}}
                        </label>
                        <input formControlName="bank" type="text" name="f6-bank"
                          placeholder="{{'requestCredit.bank' | translate}}" class="f6-bank form-control">
                        <h6
                          *ngIf="!foreignOperations.controls['bank'].valid && foreignOperations.controls['bank'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f6-money"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.currency' | translate}}
                        </label>
                        <input formControlName="money" type="text" name="f6-money"
                          placeholder="{{'requestCredit.currency' | translate}}" class="f6-money form-control">
                        <h6
                          *ngIf="!foreignOperations.controls['money'].valid && foreignOperations.controls['money'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f6-country"><span style="color:red;font-weight: bold;">*</span>
                          {{'userRegister.location.country' | translate}}</label>
                        <select formControlName="country" name="f6-country" id="f6-country"
                          class="country form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                          </option>
                        </select>
                        <h6
                          *ngIf="!foreignOperations.controls['country'].valid && foreignOperations.controls['country'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>

                      <div class="col-6 col-sm-6 col-md-6 col-lg-3 col-xl-3">
                        <label class="" for="f6-city"><span style="color:red;font-weight: bold;">*</span>
                          {{'requestCredit.city' | translate}}</label>
                        <select formControlName="city" name="f6-city" id="f6-city" class="city form-control">
                          <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                        </select>
                        <h6
                          *ngIf="!foreignOperations.controls['city'].valid && foreignOperations.controls['city'].touched">
                          <span class="badge badge-danger">Este campo es requerido</span></h6>
                      </div>
                    </div>
                  </div>
                </form>
              </mat-expansion-panel>
              <mat-expansion-panel (opened)="referenceState = true" (closed)="referenceState = false"
                style="padding-top: 0.5%">
                <mat-expansion-panel-header [style.background]=" referencesValidation() ? '#b0e8b7' : '#d6d6d6'">
                  <mat-panel-title>
                    {{'requestCredit.references' | translate}}
                  </mat-panel-title>
                  <mat-panel-description>
                    {{'requestCredit.titleReferences' | translate}}
                  </mat-panel-description>
                  <i *ngIf="referencesValidation()" class="fa fa-check-circle fa-2x"
                    style="padding-right: 10px; color: green;"></i>
                </mat-expansion-panel-header>
                <div class="row">
                  <form [formGroup]="familyReference" class="col-lg-6">
                    <div class="form-group">
                      <label>{{'requestCredit.familiarReference' | translate}}</label>
                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f7-name"><span style="color:red;font-weight: bold;">*</span>
                            {{'userRegister.aboutYou.fName' | translate}}
                          </label>
                          <input formControlName="name" type="text" name="f7-name"
                            placeholder="{{'userRegister.aboutYou.fName' |translate}}" class="f7-name form-control">
                          <h6
                            *ngIf="!familyReference.controls['name'].valid && familyReference.controls['name'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f7-lastname"><span style="color:red;font-weight: bold;">*</span>
                            {{'userRegister.aboutYou.lName' | translate}}
                          </label>
                          <input formControlName="lastname" type="text" name="f7-lastname" placeholder=""
                            class="f7-lastname form-control">
                          <h6
                            *ngIf="!familyReference.controls['lastname'].valid && familyReference.controls['lastname'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f7-relationship"><span style="color:red;font-weight: bold;">*</span>
                            {{'requestCredit.relationship' | translate}}
                          </label>
                          <input formControlName="relationship" type="text" name="f7-relationship"
                            placeholder="{{'requestCredit.relationship' | translate}}"
                            class="f7-relationship form-control">
                          <h6
                            *ngIf="!familyReference.controls['relationship'].valid && familyReference.controls['relationship'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f7-city"><span style="color:red;font-weight: bold;">*</span>
                            {{'requestCredit.city' | translate}}</label>
                          <select formControlName="city" name="f7-city" id="f7-city" class="city form-control">
                            <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                            </option>
                          </select>
                          <h6
                            *ngIf="!familyReference.controls['city'].valid && familyReference.controls['city'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8">
                          <label class="" for="f7-address"><span
                              style="color:red;font-weight: bold;">*</span>{{'requestCredit.address' | translate}}</label>
                          <input formControlName="address" type="text" name="f7-address"
                            placeholder="{{'requestCredit.address' | translate}}" class="f7-address form-control"
                            id="f7-address">
                          <h6
                            *ngIf="!familyReference.controls['address'].valid && familyReference.controls['address'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4">
                          <label class="" for="f7-phone"><span
                              style="color:red;font-weight: bold;">*</span>{{'requestCredit.phone' | translate}}</label>
                          <input formControlName="phone" type="text" name="f7-phone"
                            placeholder="{{'requestCredit.phone' | translate}}" class="f7-phone form-control"
                            id="f7-phone">
                          <h6
                            *ngIf="!familyReference.controls['phone'].valid && familyReference.controls['phone'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>
                    </div>
                  </form>
                  <form [formGroup]="personalReference" class="col-lg-6">
                    <div class="form-group ">
                      <label>{{'requestCredit.personalReference' | translate}}</label>
                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f8-name"><span style="color:red;font-weight: bold;">*</span>
                            {{'userRegister.aboutYou.fName' | translate}}
                          </label>
                          <input formControlName="name" type="text" name="f8-name"
                            placeholder="{{'userRegister.aboutYou.fName' | translate}}" class="f8-name form-control">
                          <h6
                            *ngIf="!personalReference.controls['name'].valid && personalReference.controls['name'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f8-lastname"><span style="color:red;font-weight: bold;">*</span>
                            {{'userRegister.aboutYou.lName' | translate}}
                          </label>
                          <input formControlName="lastname" type="text" name="f8-lastname"
                            placeholder="{{'userRegister.aboutYou.lName' | translate}}"
                            class="f8-lastname form-control">
                          <h6
                            *ngIf="!personalReference.controls['lastname'].valid && personalReference.controls['lastname'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f8-relationship"><span style="color:red;font-weight: bold;">*</span>
                            {{'requestCredit.relationship' | translate}}
                          </label>
                          <input formControlName="relationship" type="text" name="f8-relationship"
                            placeholder="{{'requestCredit.relationship' | translate}}"
                            class="f8-relationship form-control">
                          <h6
                            *ngIf="!personalReference.controls['relationship'].valid && personalReference.controls['relationship'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                          <label class="" for="f8-city"><span style="color:red;font-weight: bold;">*</span>
                            {{'requestCredit.city' | translate}}</label>
                          <select formControlName="city" name="f8-city" id="f8-city" class="city form-control">
                            <option *ngFor="let country of countries" value="{{country.id}}">{{country.countryname}}
                            </option>
                          </select>
                          <h6
                            *ngIf="!personalReference.controls['city'].valid && personalReference.controls['city'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8">
                          <label class="" for="f8-address"><span
                              style="color:red;font-weight: bold;">*</span>{{'requestCredit.address' | translate}}</label>
                          <input formControlName="address" type="text" name="f8-address"
                            placeholder="{{'requestCredit.address' | translate}}" class="f8-address form-control"
                            id="f8-address">
                          <h6
                            *ngIf="!personalReference.controls['address'].valid && personalReference.controls['address'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>

                        <div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4">
                          <label class="" for="f8-phone"><span
                              style="color:red;font-weight: bold;">*</span>{{'requestCredit.phone' | translate}}</label>
                          <input formControlName="phone" type="text" name="f8-phone"
                            placeholder="{{'requestCredit.phone' | translate}}" class="f8-phone form-control"
                            id="f8-phone">
                          <h6
                            *ngIf="!personalReference.controls['phone'].valid && personalReference.controls['phone'].touched">
                            <span class="badge badge-danger">Este campo es requerido</span></h6>
                        </div>
                      </div>
                    </div>
                  </form>
                </div>
              </mat-expansion-panel>
            </mat-accordion>
            <div class="padre" style="margin-top: 3%">
              <button type="submit" class="btn btn-success" [disabled]="!buttonValidation()" href=""
                (click)="sendData()">{{'buttons.Submit' | translate}}</button>
            </div>
          </div>
        </div>
      </mat-card>
    </div>
  </div>
</section>